DEBSUMS(1)

NAME
debsums - prüft die MD5-Summen der installierten Debian-Pakete

ÜBERSICHT
debsums [Optionen] [Paket|deb] ...

BESCHREIBUNG
Installierte Debian-Paketdateien werden gegen MD5-Prüfsummenlisten aus /var/lib/dpkg/info/*.md5sums geprüft.

Debsums kann Prüfsummenlisten aus Deb-Archiven für Pakete erstellen, die selbst keine enthalten.

OPTIONEN

-a, --all
    Außerdem werden Konfigurationsdateien geprüft (normalerweise ausgeschlossen).

-e, --config
    Nur Konfigurationsdateien prüfen.

-c, --changed
    Geänderte Dateiliste nach stdout berichten (schließt -s ein).

-l, --list-missing
    Pakete (oder Debs) auflisten, die keine MD5-Summendatei enthalten.

-s, --silent
    Nur Fehler berichten.

-m, --md5sums=Datei
    Liste der deb-Prüfsummen aus Datei lesen.

-r, --root=Verz
    Wurzelverzeichnis zum Prüfen (Standard /).

-d, --admindir=Verz
    dpkg-Administrations-Verzeichnis (Standard /var/lib/dpkg).

-p, --deb-path=Verz[:Verz...]
    Verzeichnisse in denen nach Debs gesucht werden soll, die vom Paketnamen abgeleitet wurden (Standard ist das aktuelle Verzeichnis).

    Ein hilfreicher Wert ist /var/cache/apt/archives, wenn apt-get autoclean benutzt wird oder der Zwischenspeicher überhaupt nicht bereinigt wird. Der Befehl

        apt-get --reinstall -d install `debsums -l`

    könnte benutzt werden, um den Zwischenspeicher (Cache) mit allen Debs zu befüllen, die noch nicht bereits im Zwischenspeicher sind.

    Anmerkung: Dies funktioniert nicht für CD-ROM und andere lokale Quellen da Pakete nicht nach /var/cache kopiert werden. Einfache file-Quellen (alle Debs in einem einzigen Verzeichnis) sollten zu der -p-Liste hinzugefügt werden.

-g, --generate=[missing|all][,nocheck]
    MD5-Summen aus Deb-Inhalten generieren. Wenn das Argument ein Paketname statt eines Deb-Archivs ist, erwartet das Programm ein Deb mit Namen Paket_Version_Architektur.deb in den durch die -p-Option angegebenen Verzeichnissen.

    missing
        MD5-Summen vom Deb für Pakete generieren, die keine bereitstellen.

    all Die Summen auf der Platte ignorieren und die benutzen, die im Deb geliefert oder aus ihm generiert werden, wenn keine existieren.

    nocheck
        Die extrahierten/generierten Summen sind nicht gegen das installierte Paket geprüft.

    Um Rückwärtskompatibilität zu gewährleisten, ist die Kurzoption -g gleichbedeutend mit --generate=missing.

--no-locale-purge
    Lokal fehlende Dateien melden, auch wenn Localpurge eingerichtet ist.

--no-prelink
    Geänderte ELF-Dateien melden, auch wenn Prelink eingerichtet ist.

--ignore-permissions
    Fehler wegen fehlender Rechte bei der Ausführung als Nicht-Root-Benutzer als Warnung betrachten

--ignore-obsolete
    Veraltete Conffiles ignorieren.

--help
--version
    Hilfe und Versionsinformation ausgeben.

RÜCKGABEWERT
Debsums gibt bei Erfolg 0 zurück oder bei Fehlern eine Kombination* der folgenden Werte:

1   Ein angegebener Paket- oder Archivname war nicht installiert, ungültig oder die installierte Version entsprach nicht dem vorliegenden Archiv.

2   Geänderte oder fehlende Paketdateien oder nicht übereinstimmende Prüfsummen zu einem Archiv.

255 Ungültige Option.

*Wenn von den beiden ersten Bedingungen beide wahr sind, wird der Rückgabewert 3 sein.

BEISPIELE

debsums foo bar
    Die Summen der installierten Pakete foo und bar prüfen.

debsums foo.deb bar.deb
    Wie oben. Es werden Prüfsummen von (oder generiert aus) den Archiven verwandt.

debsums -l
    Installierte Pakete ohne Prüfsummen auflisten.

debsums -ca
    Von allen installierten Paketen, die über Prüfsummen verfügen, die geänderten auflisten.

debsums -ce
    Geänderte Konfigurationsdateien auflisten.

debsums -cagp /var/cache/apt/archives
    Wie oben. Summen von zwischengespeicherten Debs werden, wo sie verfügbar sind, benutzt.

apt-get install --reinstall $(dpkg -S $(debsums -c) | cut -d : -f 1 | sort -u)
    Installiert Pakete mit geänderten Dateien erneut.

ERGEBNISSE

OK  Die MD5-Summe der Datei ist gut.

FAILED (FEHLGESCHLAGEN)
    Die MD5-Summe der Datei passt nicht.

REPLACED (ERSETZT)
    Die Datei wurde durch eine Datei aus einem anderen Paket ersetzt.

SIEHE AUCH
md5sum(1),

UMGEBUNG

TMPDIR
    Verzeichnis um Informationen und Inhalte aus Paketarchiven zu extrahieren (Standard /tmp).

WARNUNGEN
Während das Programm im Allgemeinen als normaler Benutzer ausgeführt werden kann, können einige Pakete, die Dateien enthalten, die nicht global lesbar sind, nicht geprüft werden. Rechte werden natürlich auch benötigt, wenn Summen mit gesetzter keep-Option generiert werden.

Dateien, die von einem anderen Paket ersetzt wurden, könnten fälschlicherweise als geändert berichtet werden.

Debsums ist hauptsächlich dazu gedacht, um festzustellen, welche lokal installierten Dateien vom Administrator geändert oder von Medienfehlern beschädigt wurden und es ist eingeschränkt als Sicherheitswerkzeug benutzbar.

Wenn Sie nach einem Integritäts-Prüfprogramm suchen, das von sicheren Medien gestartet wird, Integritätsprüfungen auf Prüfsummen-Datenbanken durchführt und das leicht eingerichtet werden kann, um periodisch ausgeführt zu werden und den Administrator zu warnen, schauen Sie sich andere Werkzeuge wie Aide, Integrit, Samhain oder Tripwire an.

AUTOR
Geschrieben von Brendan O'Dea <bod@debian.org>.
Basiert auf einem Programm von Christoph Lameter <clameter@debian.org> und Petr Cech <cech@debian.org>.

COPYRIGHT
Copyright © 2002 Brendan O'Dea <bod@debian.org>
Dies ist freie Software, lizenziert unter den Bedingungen der »GNU General Public License«. Es gibt KEINE Garantie - auch nicht für VERKAUFBARKEIT oder FÜR EIGNUNG FÜR SPEZIELLE ZWECKE.